<form name="parteTrabajoForm" id="parteTrabajoForm" novalidate class="panel panel-default" ng-submit="parteTrabajoForm.$valid && saveParteTrabajo(parteTrabajo)">

	<div layout="column" flex="95">
		<md-input-container class="md-block" flex-gt-sm> 
			<label>Fecha de parte</label> 
			<md-datepicker ng-model="parteTrabajo.fechaParte" ng-value="{{fechaParteString}}" name="fechaParte" required></md-datepicker>
	
			<div ng-messages="parteTrabajoForm.fechaParte.$error">
				<div ng-message="valid">Formato incorrecto</div>
				<div ng-message="required"><b>Fecha de parte</b> obligatoria</div>
			</div>
		</md-input-container>
	</div>
	
	<div layout-gt-sm="row">
		<md-input-container class="md-block" flex-gt-sm> 
			<label>Gremio</label> 
			<md-select required ng-model="parteTrabajo.gremio" name="gremio">
				<md-optgroup label="gremios"> 
					<md-option ng-value="gremio" ng-repeat="gremio in gremios" ng-selected="parteTrabajo.gremio.id === gremio.id">{{gremio.nombre}}</md-option>
				</md-optgroup> 
			</md-select>
			<div ng-messages="parteTrabajoForm.gremio.$error">
				<div ng-message="required">
					<b>Compa&ntilde;&iacute;a</b> obligatoria.
				</div>
			</div>
		</md-input-container>

		<div flex="5" hide-xs hide-sm>
			<!-- Spacer //-->
		</div>

		<div layout-gt-sm="row">
			<md-input-container class="md-block" flex-gt-sm> 
				<label>Reparador</label> 
				<md-select required ng-model="parteTrabajo.reparador" name="reparador" data-md-container-class="selectHeader"> 
				<md-select-header class="select-header">					
					<input ng-model="$parent.textReparadorExpedienteFilter" id="textReparadorExpedienteFilter" ng-keydown="textReparadorKeyDown($event);" type="search" placeholder="Buscar..." class="header-searchbox md-text"> 
				</md-select-header> 
				<md-optgroup label="reparadors"> 
					<md-option ng-value="reparador" ng-repeat="reparador in reparadores | filter:reparadorsExpedienteFilter" ng-selected="parteTrabajo.reparador.id === reparador.id">{{reparador.nombre}}</md-option>
				</md-optgroup> 
			</md-select>

			<div ng-messages="parteTrabajoForm.reparador.$error">
				<div ng-message="required">
					<b>Reparador</b> obligatorio.
				</div>
			</div>
			</md-input-container>

			<div>
				<div class="flex" flex=""></div>
				<button class="md-icon-button md-button md-ink-ripple" type="button" ng-click="newReparador()" aria-label="add_circle">
					<md-icon class="material-icons">add_circle</md-icon>
					<div class="md-ripple-container"></div>
				</button>
			</div>
		</div>
	</div>
	<div layout="row" flex="100">
	  	<div ng-include="'lists/trabajoRealizadoList.html'"></div>
	</div>
	<md-dialog-actions layout="row">      
		<md-button type="submit" id="saveParteTrabajo" class="md-raised md-primary">Guardar</md-button> 
		<md-button type="button" class="md-raised md-warn" ng-click="removeParteTrabajo(parteTrabajo)" ng-if="parteTrabajo.id">Eliminar</md-button> 
	</md-dialog-actions>
</form>